
 DROP VIEW YNA_INV_SUPPLY_DEMAND_NL_VW ;
CREATE VIEW YNA_INV_SUPPLY_DEMAND_NL_VW 
(
	INVENTORY_ITEM_KEY , 
	SHIPNODE_KEY , 
	SUPPLY_QUANTITY , 
	DEMAND_QUANTITY 
)
 AS 
SELECT
		 YIS.INVENTORY_ITEM_KEY,
		 YIS.SHIPNODE_KEY,
		 SUM(YIS.QUANTITY) SUPPLY_QUANTITY,
		 SUM(0) DEMAND_QUANTITY
FROM  YFS_INVENTORY_SUPPLY YIS 
WHERE	 YIS.SUPPLY_TYPE  = 'ONHAND'
 AND	NOT   EXISTS
	(
 	SELECT '1'
	FROM  YFS_INVENTORY_DEMAND YID 
	WHERE	 YID.INVENTORY_ITEM_KEY  = YIS.INVENTORY_ITEM_KEY
	 AND	YID.SHIPNODE_KEY  = YIS.SHIPNODE_KEY
	 AND	YID.DEMAND_TYPE  = 'ALLOCATED'
	)
GROUP BY YIS.INVENTORY_ITEM_KEY,
	  YIS.SHIPNODE_KEY 
UNION
 SELECT
		 YID.INVENTORY_ITEM_KEY,
		 YID.SHIPNODE_KEY,
		 SUM(0) SUPPLY_QUANTITY,
		 SUM(YID.QUANTITY) DEMAND_QUANTITY
FROM  YFS_INVENTORY_DEMAND YID 
WHERE	 YID.DEMAND_TYPE  = 'ALLOCATED'
 AND	NOT   EXISTS
	(
 	SELECT '1'
	FROM  YFS_INVENTORY_SUPPLY YIS 
	WHERE	 YIS.INVENTORY_ITEM_KEY  = YID.INVENTORY_ITEM_KEY
	 AND	YIS.SHIPNODE_KEY  = YID.SHIPNODE_KEY
	 AND	YIS.SUPPLY_TYPE  = 'ONHAND'
	)
GROUP BY YID.INVENTORY_ITEM_KEY,
	  YID.SHIPNODE_KEY 
UNION
 SELECT
		 YID.INVENTORY_ITEM_KEY,
		 YID.SHIPNODE_KEY,
		 SUM(0) SUPPLY_QUANTITY,
		 SUM(YID.QUANTITY) DEMAND_QUANTITY
FROM  YFS_INVENTORY_DEMAND YID 
WHERE	 YID.DEMAND_TYPE  = 'ALLOCATED'
 AND	  EXISTS
	(
 	SELECT '1'
	FROM  YFS_INVENTORY_SUPPLY YIS 
	WHERE	 YIS.INVENTORY_ITEM_KEY  = YID.INVENTORY_ITEM_KEY
	 AND	YIS.SHIPNODE_KEY  = YID.SHIPNODE_KEY
	 AND	YIS.SUPPLY_TYPE  = 'ONHAND'
	)
GROUP BY YID.INVENTORY_ITEM_KEY,
	  YID.SHIPNODE_KEY 
UNION
 SELECT
		 YIS.INVENTORY_ITEM_KEY,
		 YIS.SHIPNODE_KEY,
		 SUM(YIS.QUANTITY) SUPPLY_QUANTITY,
		 SUM(0) DEMAND_QUANTITY
FROM  YFS_INVENTORY_SUPPLY YIS 
WHERE	 YIS.SUPPLY_TYPE  = 'ONHAND'
 AND	  EXISTS
	(
 	SELECT '1'
	FROM  YFS_INVENTORY_DEMAND YID 
	WHERE	 YID.INVENTORY_ITEM_KEY  = YIS.INVENTORY_ITEM_KEY
	 AND	YID.SHIPNODE_KEY  = YIS.SHIPNODE_KEY
	 AND	YID.DEMAND_TYPE  = 'ALLOCATED'
	)
GROUP BY YIS.INVENTORY_ITEM_KEY,
	  YIS.SHIPNODE_KEY 
 
 
 


;
