
 DROP VIEW YNA_INVENTORY_BAL_NL_INNER_VW ;
CREATE VIEW YNA_INVENTORY_BAL_NL_INNER_VW 
AS 
SELECT
		 I2.ORGANIZATION_CODE AS ENTERPRISE_CODE,
		 I2.SHIP_NODE AS NODE,
		 I2.ITEM AS ITEM_ID,
		 I2.UOM AS UOM,
		 I2.PRODUCT_CLASS AS PRODUCT_CLASS,
		 I2.NETDATE AS INV_DATE,
		 I2.RECEIVED_QUANTITY AS RECEIPTS,
		 I2.SHIPPED_QUANTITY AS SHIPMENTS,
		 I2.ADJUSTMENT_QUANTITY AS ADJUSTMENTS,
		 I2.RETURN_QUANTITY AS RETURN_QUANTITY,
		 (I2.RECEIVED_QUANTITY + I2.SHIPPED_QUANTITY + I2.ADJUSTMENT_QUANTITY + I2.RETURN_QUANTITY) AS TRANSACTED_QTY,
		 I1.ON_HAND_QTY AS ON_HAND_QTY,
		 I2.SUPPLY_TYPE,
		 I2.TAG_NUMBER,
		 I2.SHIP_BY_DATE,
		 I2.SEGMENT_TYPE,
		 I2.SEGMENT
FROM (	SELECT
			 ORGANIZATION_CODE,
			 ITEM,
			 UOM,
			 PRODUCT_CLASS,
			 TIMESTAMP(DATE(CREATETS), '00:00:00') AS NETDATE,
			 SUM(CASE
					 WHEN TRANSACTION_TYPE  = 'RECEIPT' THEN QUANTITY
					 ELSE 0
				 END) AS RECEIVED_QUANTITY,
			 SUM(CASE
					 WHEN TRANSACTION_TYPE  = 'SHIPMENT' THEN QUANTITY
					 ELSE 0
				 END) AS SHIPPED_QUANTITY,
			 SUM(CASE
					 WHEN TRANSACTION_TYPE  = 'ADJUSTMENT' THEN QUANTITY
					 ELSE 0
				 END) AS ADJUSTMENT_QUANTITY,
			 SUM(CASE
					 WHEN TRANSACTION_TYPE  = 'RETURN' THEN QUANTITY
					 ELSE 0
				 END) AS RETURN_QUANTITY,
			 SHIP_NODE,
			 INVENTORY_ITEM_KEY,
			 SUPPLY_TYPE,
			 TAG_NUMBER,
			 SHIP_BY_DATE,
			 SEGMENT_TYPE,
			 SEGMENT,
			 MAX(INVENTORY_AUDIT_KEY) AS INVENTORY_AUDIT_KEY
	FROM  YFS_INVENTORY_AUDIT 
	GROUP BY ORGANIZATION_CODE,
		 ITEM,
		 UOM,
		 PRODUCT_CLASS,
		 TIMESTAMP(DATE(CREATETS), '00:00:00'),
		 SHIP_NODE,
		 INVENTORY_ITEM_KEY,
		 SUPPLY_TYPE,
		 TAG_NUMBER,
		 SHIP_BY_DATE,
		 SEGMENT_TYPE,
		  SEGMENT 
) I2,
	 YFS_INVENTORY_AUDIT I1 
WHERE	 I1.INVENTORY_AUDIT_KEY  = I2.INVENTORY_AUDIT_KEY
 AND	I1.INVENTORY_ITEM_KEY  = I2.INVENTORY_ITEM_KEY
 AND	I1.SHIP_NODE  = I2.SHIP_NODE
 AND	I2.NETDATE  = TIMESTAMP(DATE(I1.CREATETS), '00:00:00')
 AND	I2.INVENTORY_AUDIT_KEY  = I1.INVENTORY_AUDIT_KEY


;
