
 DROP VIEW YNA_RECEIPT_LOT_DISCR_NL_VW ;
CREATE VIEW YNA_RECEIPT_LOT_DISCR_NL_VW 
(
	RECEIPT_DATE , 
	RECEIPT_NO , 
	SHIPMENT_NO , 
	ITEM_ID , 
	UOM , 
	PRODUCT_CLASS , 
	ITEM_DESCRIPTION , 
	BUYER , 
	SELLER , 
	ENTERPRISE , 
	EXPECTED_LOT_NO , 
	RECEIVED_LOT_NO , 
	Document_Type 
)
 AS 
SELECT
		 A4.RECEIPT_DATE,
		 A4.RECEIPT_NO,
		 A1.SHIPMENT_NO,
		 A2.ITEM_ID,
		 A2.UOM,
		 A2.PRODUCT_CLASS,
		 A2.ITEM_DESCRIPTION,
		 A1.BUYER_ORGANIZATION_CODE,
		 A1.SELLER_ORGANIZATION_CODE,
		 A1.ENTERPRISE_CODE,
		 A6.LOT_NUMBER,
		 A5.LOT_NUMBER,
		 A1.Document_Type
FROM  YFS_SHIPMENT A1,
	 YFS_Shipment_LINE A2,
	 YFS_RECEIPT_HEADER A4,
	 YFS_RECEIPT_LINE A5,
	 YFS_SHIPMENT_TAG_SERIAL A6 
WHERE	 A1.SHIPMENT_KEY  = A2.sHIPMENT_KEY
 AND	A1.SHIPMENT_KEY  = A4.SHIPMENT_KEY
 AND	A4.RECEIPT_HEADER_KEY  = A5.RECEIPT_HEADER_KEY
 AND	A5.SHIPMENT_LINE_KEY  = A2.SHIPMENT_LINE_KEY
 AND	A6.SHIPMENT_LINE_KEY  = A5.SHIPMENT_LINE_KEY
 AND	A5.LOT_NUMBER  <> A6.LOT_NUMBER
 AND	A1.ORDER_AVAILABLE_ON_SYSTEM  = 'Y'
 AND	A1.LINES_ENTERED  = 'Y'


;
