
 DROP VIEW YNA_RECEIPT_SL_DISCR_NL_VW ;
CREATE VIEW YNA_RECEIPT_SL_DISCR_NL_VW 
(
	SHIPMENT_KEY , 
	RECEIPT_DATE , 
	RECEIPT_NO , 
	SHIPMENT_NO , 
	ITEM_ID , 
	UOM , 
	PRODUCT_CLASS , 
	ITEM_DESCRIPTION , 
	BUYER , 
	SELLER , 
	ENTERPRISE , 
	EXPECTED_SERIAL_NO , 
	RECEIVED_SERIAL_NO , 
	DOCUMENT_TYPE 
)
 AS 
SELECT
		 A1.SHIPMENT_KEY,
		 A3.RECEIPT_DATE,
		 A3.RECEIPT_NO,
		 A1.SHIPMENT_NO,
		 A2.ITEM_ID,
		 A2.UOM,
		 A2.PRODUCT_CLASS,
		 A2.ITEM_DESCRIPTION,
		 A1.BUYER_ORGANIZATION_CODE,
		 A1.SELLER_ORGANIZATION_CODE,
		 A1.ENTERPRISE_CODE,
		 A4.SERIAL_NO,
		 A5.SERIAL_NO,
		 A1.DOCUMENT_TYPE
FROM  YFS_SHIPMENT A1,
	 YFS_SHIPMENT_LINE A2,
	 YFS_RECEIPT_HEADER A3,
	 YFS_SHIPMENT_TAG_SERIAL A4,
	 YFS_RECEIPT_LINE A5 
WHERE	 A1.SHIPMENT_KEY  = A2.SHIPMENT_KEY
 AND	A5.RECEIPT_HEADER_KEY  = A3.RECEIPT_HEADER_KEY
 AND	A4.SHIPMENT_LINE_KEY  = A2.SHIPMENT_LINE_KEY
 AND	A3.SHIPMENT_KEY  = A1.SHIPMENT_KEY
 AND	A4.SERIAL_NO  NOT IN
	(
 	SELECT B1.SERIAL_NO
	FROM  YFS_RECEIPT_LINE B1,
		 YFS_SHIPMENT_LINE B2,
		 YFS_RECEIPT_HEADER B3,
		 YFS_SHIPMENT B4 
	WHERE	 B4.SHIPMENT_KEY  = B2.SHIPMENT_KEY
	 AND	B2.SHIPMENT_LINE_KEY  = B1.SHIPMENT_LINE_KEY
	 AND	B1.RECEIPT_HEADER_KEY  = B3.RECEIPT_HEADER_KEY
	 AND	A1.SHIPMENT_KEY  = B4.SHIPMENT_KEY
	)
 AND	A4.SERIAL_NO  <> ' '
 AND	A1.ORDER_AVAILABLE_ON_SYSTEM  = 'Y'
 AND	A1.LINES_ENTERED  = 'Y'
 AND	A5.SERIAL_NO  <> ' '
 AND	A5.SERIAL_NO  NOT IN
	(
 	SELECT B1.SERIAL_NO
	FROM  YFS_SHIPMENT_TAG_SERIAL B1,
		 YFS_SHIPMENT_LINE B2,
		 YFS_RECEIPT_HEADER B3,
		 YFS_SHIPMENT B4 
	WHERE	 B4.SHIPMENT_KEY  = B2.SHIPMENT_KEY
	 AND	B2.SHIPMENT_LINE_KEY  = B1.SHIPMENT_LINE_KEY
	 AND	B3.SHIPMENT_KEY  = B2.SHIPMENT_KEY
	 AND	A1.SHIPMENT_KEY  = B4.SHIPMENT_KEY
	)
UNION ALL
 SELECT
		 A1.SHIPMENT_KEY,
		 A3.RECEIPT_DATE,
		 A3.RECEIPT_NO,
		 A1.SHIPMENT_NO,
		 A2.ITEM_ID,
		 A2.UOM,
		 A2.PRODUCT_CLASS,
		 A2.ITEM_DESCRIPTION,
		 A1.BUYER_ORGANIZATION_CODE,
		 A1.SELLER_ORGANIZATION_CODE,
		 A1.ENTERPRISE_CODE,
		 A2.REQUESTED_SERIAL_NO,
		 A5.SERIAL_NO,
		 A1.DOCUMENT_TYPE
FROM  YFS_SHIPMENT A1,
	 YFS_SHIPMENT_LINE A2,
	 YFS_RECEIPT_HEADER A3,
	 YFS_RECEIPT_LINE A5 
WHERE	 A1.SHIPMENT_KEY  = A2.SHIPMENT_KEY
 AND	A2.SHIPMENT_LINE_KEY  = A5.SHIPMENT_LINE_KEY
 AND	A5.RECEIPT_HEADER_KEY  = A3.RECEIPT_HEADER_KEY
 AND	A3.SHIPMENT_KEY  = A1.SHIPMENT_KEY
 AND	A5.SERIAL_NO  NOT IN
	(
 	SELECT B2.REQUESTED_SERIAL_NO
	FROM  YFS_SHIPMENT_LINE B2,
		 YFS_SHIPMENT B3 
	WHERE	 B3.SHIPMENT_KEY  = B2.SHIPMENT_KEY
	 AND	A1.SHIPMENT_KEY  = B2.SHIPMENT_KEY
	)
 AND	A5.SERIAL_NO  <> ' '
 AND	A1.ORDER_AVAILABLE_ON_SYSTEM  = 'Y'
 AND	A1.LINES_ENTERED  = 'Y'
 AND	A2.REQUESTED_SERIAL_NO  <> ' '
 AND	A2.REQUESTED_SERIAL_NO  NOT IN
	(
 	SELECT B1.SERIAL_NO
	FROM  YFS_RECEIPT_LINE B1,
		 YFS_SHIPMENT_LINE B2,
		 YFS_RECEIPT_HEADER B3,
		 YFS_SHIPMENT B4 
	WHERE	 B4.SHIPMENT_KEY  = B2.SHIPMENT_KEY
	 AND	B2.SHIPMENT_LINE_KEY  = B1.SHIPMENT_LINE_KEY
	 AND	B1.RECEIPT_HEADER_KEY  = B3.RECEIPT_HEADER_KEY
	 AND	A1.SHIPMENT_KEY  = B4.SHIPMENT_KEY
	)
UNION ALL
 SELECT
		 A1.SHIPMENT_KEY,
		 A3.RECEIPT_DATE,
		 A3.RECEIPT_NO,
		 A1.SHIPMENT_NO,
		 A2.ITEM_ID,
		 A2.UOM,
		 A2.PRODUCT_CLASS,
		 A2.ITEM_DESCRIPTION,
		 A1.BUYER_ORGANIZATION_CODE,
		 A1.SELLER_ORGANIZATION_CODE,
		 A1.ENTERPRISE_CODE,
		 A2.SERIAL_NO,
		 '',
		 A1.DOCUMENT_TYPE
FROM  YFS_SHIPMENT A1,
	 YFS_ORDER_LINE A2,
	 YFS_RECEIPT_HEADER A3,
	 YFS_RECEIPT_LINE A5 
WHERE	 A1.ORDER_HEADER_KEY  = A2.ORDER_HEADER_KEY
 AND	A3.SHIPMENT_KEY  = A1.SHIPMENT_KEY
 AND	A2.SERIAL_NO  NOT IN
	(
 	SELECT B1.SERIAL_NO
	FROM  YFS_RECEIPT_LINE B1,
		 YFS_ORDER_LINE B2,
		 YFS_RECEIPT_HEADER B3,
		 YFS_SHIPMENT B4 
	WHERE	 B4.ORDER_HEADER_KEY  = B2.ORDER_HEADER_KEY
	 AND	B2.ORDER_LINE_KEY  = B1.ORDER_LINE_KEY
	 AND	B4.SHIPMENT_KEY  = B3.SHIPMENT_KEY
	 AND	B1.RECEIPT_HEADER_KEY  = B3.RECEIPT_HEADER_KEY
	 AND	A1.SHIPMENT_KEY  = B4.SHIPMENT_KEY
	)
 AND	A2.SERIAL_NO  <> ' '
 AND	A1.ORDER_AVAILABLE_ON_SYSTEM  = 'Y'
 AND	A1.LINES_ENTERED  = 'N'
 AND	A5.SERIAL_NO  NOT IN
	(
 	SELECT B2.SERIAL_NO
	FROM  YFS_ORDER_LINE B2,
		 YFS_SHIPMENT B3 
	WHERE	 B3.ORDER_HEADER_KEY  = B2.ORDER_HEADER_KEY
	 AND	A1.SHIPMENT_KEY  = B3.SHIPMENT_KEY
	)
 AND	A5.SERIAL_NO  <> ' '
 AND	A5.RECEIPT_HEADER_KEY  = A3.RECEIPT_HEADER_KEY
 
 


;
