
 DROP VIEW YNA_SHIP_LOAD_CNTR_SUMMARY_VW ;
CREATE VIEW YNA_SHIP_LOAD_CNTR_SUMMARY_VW 
(
	SHIPMENT_KEY , 
	SHIPMENT_NO , 
	ENTERPRISE_CODE , 
	SCAC , 
	DOCUMENT_TYPE , 
	EXPECTED_SHIPMENT_DATE , 
	SHIP_NODE , 
	SELLER_ORGANIZATION_CODE , 
	BUYER_ORGANIZATION_CODE , 
	SHIPMENT_CONFIRM_UPDATES_DONE , 
	PACK_AND_HOLD , 
	CARRIER_SERVICE_CODE , 
	NO_OF_CASES , 
	NO_OF_PALLETS , 
	LOAD_KEY , 
	DOCK_LOCATION_ID 
)
 as 
SELECT
		 S.SHIPMENT_KEY,
		 S.SHIPMENT_NO,
		 S.ENTERPRISE_CODE,
		 S.SCAC,
		 S.DOCUMENT_TYPE,
		 S.EXPECTED_SHIPMENT_DATE,
		 S.SHIPNODE_KEY,
		 S.SELLER_ORGANIZATION_CODE,
		 S.BUYER_ORGANIZATION_CODE,
		 S.SHIPMENT_CONFIRM_UPDATES_DONE,
		 S.PACK_AND_HOLD,
		 S.CARRIER_SERVICE_CODE,
		 (		SELECT COUNT(*)
		FROM  yfs_shipment_container sc 
		WHERE	 sc.SHIPMENT_KEY  = S.SHIPMENT_KEY
		 AND	sc.CONTAINER_TYPE  = 'Case'
		 AND	sc.PARENT_CONTAINER_NO  = ' '
) No_Of_Cases,
		 (		SELECT COUNT(*)
		FROM  yfs_shipment_container sc 
		WHERE	 sc.SHIPMENT_KEY  = S.SHIPMENT_KEY
		 AND	sc.CONTAINER_TYPE  = 'Pallet'
		 AND	sc.PARENT_CONTAINER_NO  = ' '
) No_Of_Pallets,
		 LI.LOAD_KEY,
		 LI.DOCK_LOCATION_ID
FROM  YFS_SHIPMENT S LEFT OUTER JOIN(	SELECT
			 LS.SHIPMENT_KEY,
			 LS.LOAD_KEY,
			 LD.STOP_NODE,
			 LD.DOCK_LOCATION_ID
	FROM  YFS_LOAD_SHIPMENT LS,
		 YFS_LOAD_STOP LD 
	WHERE	 LS.LOAD_KEY  = LD.LOAD_KEY
) LI ON (LI.SHIPMENT_KEY  = S.SHIPMENT_KEY
	 AND	LI.STOP_NODE  = S.SHIPNODE_KEY)  


;
