CREATE OR REPLACE VIEW  YNA_ORDER_SHIPMENT_VW
(
LOCALE_CODE,
ENTERPRISE_CODE,
DOCUMENT_TYPE,
ORDER_NO,
SHIPMENT_NO,
SHIP_DATE,
ITEM_DESCRIPTION,
BUYER_ORGANIZATION_CODE,
SELLER_ORGANIZATION_CODE,
ITEM_ID,
UOM,
PRODUCT_CLASS,
SHIPPED_QTY,
ORDERED_QTY
)
AS 
(SELECT ' ' AS LOCALE_CODE, 
       VW.ENTERPRISE_CODE ENTERPRISE_CODE,
       VW.DOCUMENT_TYPE DOCUMENT_TYPE,
       VW.ORDER_NO ORDER_NO,       
       VW.SHIPMENT_NO SHIPMENT_NO,
       VW.SHIP_DATE SHIP_DATE,
       VW.ITEM_DESCRIPTION ITEM_DESCRIPTION,
       VW.BUYER_ORGANIZATION_CODE BUYER_ORGANIZATION_CODE,
       VW.SELLER_ORGANIZATION_CODE SELLER_ORGANIZATION_CODE,
       VW.ITEM_ID ITEM_ID,
       VW.UOM UOM,
       VW.PRODUCT_CLASS PRODUCT_CLASS,
       SUM(VW.SHIPPED_QTY) SHIPPED_QTY,
       SUM(VW.ORDERED_QTY) ORDERED_QTY 
FROM
(SELECT DISTINCT OH.ENTERPRISE_KEY ENTERPRISE_CODE,
       OH.DOCUMENT_TYPE DOCUMENT_TYPE,
       OH.ORDER_NO ORDER_NO,       
       S.SHIPMENT_NO SHIPMENT_NO,
       S.ACTUAL_SHIPMENT_DATE SHIP_DATE,
       SL.ITEM_DESCRIPTION ITEM_DESCRIPTION,
       S.BUYER_ORGANIZATION_CODE BUYER_ORGANIZATION_CODE,
       S.SELLER_ORGANIZATION_CODE SELLER_ORGANIZATION_CODE,
       SL.ITEM_ID ITEM_ID,
       SL.UOM UOM,
       SL.PRODUCT_CLASS PRODUCT_CLASS,
       OL.ORDER_LINE_KEY ORDER_LINE_KEY,
       SUM(SL.QUANTITY) SHIPPED_QTY,
       OL.ORDERED_QTY ORDERED_QTY
FROM
YFS_SHIPMENT S, YFS_SHIPMENT_LINE SL, YFS_ORDER_HEADER OH, YFS_ORDER_LINE OL
WHERE
S.SHIPMENT_KEY = SL.SHIPMENT_KEY
AND SL.ORDER_LINE_KEY = OL.ORDER_LINE_KEY
AND OL.ORDER_HEADER_KEY = OH.ORDER_HEADER_KEY
GROUP BY 
OH.ENTERPRISE_KEY,
OH.DOCUMENT_TYPE,
OH.ORDER_NO ,       
S.SHIPMENT_NO ,
S.ACTUAL_SHIPMENT_DATE ,
SL.ITEM_DESCRIPTION ,
S.BUYER_ORGANIZATION_CODE ,
S.SELLER_ORGANIZATION_CODE ,
SL.ITEM_ID ,
SL.UOM ,
SL.PRODUCT_CLASS,
OL.ORDER_LINE_KEY,
OL.ORDERED_QTY
) VW
GROUP BY
VW.ENTERPRISE_CODE,
VW.DOCUMENT_TYPE,
VW.ORDER_NO ,       
VW.SHIPMENT_NO ,
VW.SHIP_DATE,
VW.ITEM_DESCRIPTION ,
VW.BUYER_ORGANIZATION_CODE ,
VW.SELLER_ORGANIZATION_CODE ,
VW.ITEM_ID ,
VW.UOM ,
VW.PRODUCT_CLASS)