CREATE OR REPLACE VIEW YNA_SHIPMENT_SUMMARY_VW
(
 ENTERPRISE_CODE,
 SHIPMENT_KEY,
 NODE_KEY,
 SHIP_DATE,
 SHIPMENT_CLOSED_FLAG,
 OB_SHIPMENTS,
 OBSHIPMENT_LINES,
 IB_SHIPMENTS,
 IB_SHIPMENT_LINES
)
AS 
SELECT S.ENTERPRISE_CODE, 
       S.SHIPMENT_KEY, 
       S.SHIPNODE_KEY NODE_KEY, 
       S.SHIP_DATE, 
       S.SHIPMENT_CLOSED_FLAG, 
       1 OB_SHIPMENTS, 
       SL.SHIPMENT_LINES OB_SHIPMENT_LINES, 
       0 IB_SHIPMENTS, 
       0 IB_SHIPMENT_LINES
FROM YFS_SHIPMENT S,
    (SELECT SHIPMENT_KEY, count(SHIPMENT_LINE_KEY) SHIPMENT_LINES FROM YFS_SHIPMENT_LINE GROUP BY SHIPMENT_KEY) SL
WHERE S.SHIPMENT_KEY = SL.SHIPMENT_KEY AND S.SHIPNODE_KEY <> ' '
UNION
SELECT S.ENTERPRISE_CODE, 
       S.SHIPMENT_KEY, 
       S.RECEIVING_NODE NODE_KEY, 
       S.SHIP_DATE, 
       S.SHIPMENT_CLOSED_FLAG, 
       0 OB_SHIPMENTS, 
       0 OB_SHIPMENT_LINES, 
       1 IB_SHIPMENTS, 
       SL.SHIPMENT_LINES IB_SHIPMET_LINES
FROM YFS_SHIPMENT S,
    (SELECT SHIPMENT_KEY, count(SHIPMENT_LINE_KEY) SHIPMENT_LINES FROM YFS_SHIPMENT_LINE GROUP BY SHIPMENT_KEY) SL
WHERE S.SHIPMENT_KEY = SL.SHIPMENT_KEY AND S.RECEIVING_NODE <> ' '
;