if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_CONTAINER_STG_LOCN_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_CONTAINER_STG_LOCN_VW ]
GO
CREATE VIEW YNA_CONTAINER_STG_LOCN_VW 
(
	NODE_KEY , 
	LOCATION_ID , 
	NO_OF_CONTAINERS , 
	MAXIMUM_MODIFYTS , 
	SHIPMENT_KEY , 
	TOTAL_QTY 
)
 AS 
SELECT
		 A.NODE_KEY,
		 A.LOCATION_ID,
		 COUNT(B.SHIPMENT_CONTAINER_KEY),
		 MAX(D.modifyts),
		 B.SHIPMENT_KEY,
		 
			CASE
				 WHEN SUM(CONVERT(FLOAT, C.QUANTITY))  IS NULL THEN 0
				 ELSE SUM(CONVERT(FLOAT, C.QUANTITY))
			 END
FROM  YFS_LPN_LOCATION A,
	 yfs_shipment_container B,
	 YFS_CONTAINER_DETAILS C,
	 yfs_shipment_container D 
WHERE	 A.OUTER_MOST_LPN_NO  = B.CONTAINER_SCM
 AND	(c.SHIPMENT_CONTAINER_KEY  = B.SHIPMENT_CONTAINER_KEY
 OR	C.SHIPMENT_CONTAINER_KEY  = D.SHIPMENT_CONTAINER_KEY)
 AND	(D.PARENT_CONTAINER_KEY  = B.SHIPMENT_CONTAINER_KEY
 OR	D.SHIPMENT_CONTAINER_KEY  = B.SHIPMENT_CONTAINER_KEY)
GROUP BY A.NODE_KEY,
	 A.LOCATION_ID,
	  B.SHIPMENT_KEY 


GO
