if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_RECEIPT_QTY_DISCR_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_RECEIPT_QTY_DISCR_NL_VW ]
GO
CREATE VIEW YNA_RECEIPT_QTY_DISCR_NL_VW 
(
	RECEIVING_DISCREPANCY_KEY , 
	SHIPMENT_KEY , 
	ORDER_HEADER_KEY , 
	ORDER_LINE_KEY , 
	ORDER_NO , 
	RECEIPT_DATE , 
	RECEIPT_NO , 
	SHIPMENT_NO , 
	ITEM_ID , 
	UOM , 
	PRODUCT_CLASS , 
	ITEM_DESCRIPTION , 
	DISCR_TYPE , 
	EXPECTED_QTY , 
	ACTUAL_QTY , 
	BUYER , 
	SELLER , 
	ENTERPRISE , 
	Document_Type 
)
 AS 
SELECT
		 A1.RECEIVING_DISCREPANCY_KEY,
		 A1.SHIPMENT_KEY,
		 A1.ORDER_HEADER_KEY,
		 A1.ORDER_LINE_KEY,
		 A2.ORDER_NO,
		 A4.RECEIPT_DATE,
		 A4.RECEIPT_NO,
		 A2.SHIPMENT_NO,
		 A3.ITEM_ID,
		 A3.UOM,
		 A3.PRODUCT_CLASS,
		 A3.ITEM_DESCRIPTION,
		 A1.DISCR_TYPE,
		 A3.ORIGINAL_QUANTITY,
		 
			CASE
				 WHEN A1.DISCR_TYPE  = 'OVER' THEN (A3.ORIGINAL_QUANTITY + A1.DISCR_QUANTITY)
				 ELSE (A3.ORIGINAL_QUANTITY - A1.DISCR_QUANTITY)
			 END ACTUAL_QTY,
		 A2.BUYER_ORGANIZATION_CODE,
		 A2.SELLER_ORGANIZATION_CODE,
		 A2.ENTERPRISE_CODE,
		 A2.Document_Type
FROM  YFS_RECEIVING_DISCREPANCY A1,
	 YFS_SHIPMENT A2,
	 YFS_SHIPMENT_LINE A3,
	 YFS_RECEIPT_HEADER A4,
	 YFS_RECEIPT_LINE A5 
WHERE	 A1.SHIPMENT_KEY  = A2.SHIPMENT_KEY
 AND	A3.SHIPMENT_KEY  = A2.SHIPMENT_KEY
 AND	A1.ORDER_HEADER_KEY  = A3.ORDER_HEADER_KEY
 AND	A1.ORDER_LINE_KEY  = A3.ORDER_LINE_KEY
 AND	A1.SHIPMENT_KEY  = A4.SHIPMENT_KEY
 AND	A5.RECEIPT_HEADER_KEY  = A4.RECEIPT_HEADER_KEY
 AND	A5.SHIPMENT_LINE_KEY  = A3.SHIPMENT_LINE_KEY


GO
