if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_SHIPMENT_CONTAINER_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_SHIPMENT_CONTAINER_VW ]
GO
CREATE VIEW YNA_SHIPMENT_CONTAINER_VW 
(
	SHIPMENT_CONTAINER_KEY , 
	MANIFEST_KEY , 
	SHIPMENT_KEY , 
	SHIP_TO_KEY , 
	CONTAINER_SEQ_NO , 
	TRACKING_NO , 
	UCC128CODE , 
	MANIFEST_NO , 
	CONTAINER_SCM , 
	CONTAINER_TYPE , 
	CONTAINER_LENGTH , 
	CONTAINER_WIDTH , 
	CONTAINER_HEIGHT , 
	CONTAINER_GROSS_WEIGHT , 
	CONTAINER_NET_WEIGHT , 
	CONTAINER_LENGTH_UOM , 
	CONTAINER_HEIGHT_UOM , 
	CONTAINER_WIDTH_UOM , 
	CONTAINER_GROSS_WEIGHT_UOM , 
	CONTAINER_NET_WEIGHT_UOM , 
	APPLIED_WEIGHT_UOM , 
	HAS_OTHER_CONTAINERS , 
	MASTER_CONTAINER_NO , 
	ACTUAL_FREIGHT_CHARGE , 
	SCAC , 
	SHIP_DATE , 
	SHIP_MODE , 
	ZONE , 
	OVERSIZED_FLAG , 
	DIMMED_FLAG , 
	CARRIER_BILL_ACCOUNT , 
	CARRIER_PAYMENT_TYPE , 
	ASTRA_CODE , 
	ROUTING_CODE , 
	SERVICE_TYPE , 
	CARRIER_LOCATION_ID , 
	CARRIER_SERVICE_CODE , 
	APPLIED_WEIGHT , 
	COMMITMENT_CODE , 
	DELIVERY_DAY , 
	DELIVER_BY , 
	FORM_ID , 
	BASIC_FREIGHT_CHARGE , 
	SPECIAL_SERVICES_SURCHARGE , 
	DELIVERY_CODE , 
	BARCODE_DISCOUNT , 
	DISCOUNT_AMOUNT , 
	CUSTOMS_VALUE , 
	CARRIAGE_VALUE , 
	DECLARED_VALUE , 
	EXPORT_LICENSE_NO , 
	EXPORT_LICENSE_EXP_DATE , 
	FREIGHT_TERMS , 
	CUSTCARRIER_ACCOUNT_NO , 
	CONTAINER_NO , 
	PARENT_CONTAINER_NO , 
	ORDER_HEADER_KEY , 
	ORDER_RELEASE_KEY , 
	IS_RECEIVED , 
	LOAD_KEY , 
	PIPELINE_KEY , 
	STATUS , 
	DOCUMENT_TYPE , 
	COD_RETURN_TRACKING_NO , 
	CONTAINER_EPC , 
	CORRUGATION_ITEM_KEY , 
	ACTUAL_WEIGHT , 
	ACTUAL_WEIGHT_UOM , 
	PARENT_CONTAINER_KEY , 
	CONTAINER_GROUP , 
	PARENT_CONTAINER_GROUP , 
	IS_PACK_PROCESS_COMPLETE , 
	STATUS_DATE , 
	USED_DURING_PICK , 
	SYSTEM_SUGGESTED , 
	WAVE_KEY , 
	CONTAINS_STD_QTY , 
	TASK_TYPE , 
	SERVICE_ITEM_ID , 
	IS_HAZMAT 
)
 AS 
SELECT
		 SHIPMENT_CONTAINER_KEY,
		 MANIFEST_KEY,
		 SHIPMENT_KEY,
		 SHIP_TO_KEY,
		 CONTAINER_SEQ_NO,
		 SC.TRACKING_NO,
		 UCC128CODE,
		 SC.MANIFEST_NO,
		 CONTAINER_SCM,
		 CONTAINER_TYPE,
		 CONTAINER_LENGTH,
		 CONTAINER_WIDTH,
		 CONTAINER_HEIGHT,
		 CONTAINER_GROSS_WEIGHT,
		 CONTAINER_NET_WEIGHT,
		 CONTAINER_LENGTH_UOM,
		 CONTAINER_HEIGHT_UOM,
		 CONTAINER_WIDTH_UOM,
		 CONTAINER_GROSS_WEIGHT_UOM,
		 CONTAINER_NET_WEIGHT_UOM,
		 APPLIED_WEIGHT_UOM,
		 HAS_OTHER_CONTAINERS,
		 MASTER_CONTAINER_NO,
		 SC.ACTUAL_FREIGHT_CHARGE,
		 SC.SCAC,
		 SC.SHIP_DATE,
		 SC.SHIP_MODE,
		 ZONE,
		 OVERSIZED_FLAG,
		 DIMMED_FLAG,
		 CARRIER_BILL_ACCOUNT,
		 CARRIER_PAYMENT_TYPE,
		 ASTRA_CODE,
		 ROUTING_CODE,
		 SERVICE_TYPE,
		 CARRIER_LOCATION_ID,
		 SC.CARRIER_SERVICE_CODE,
		 APPLIED_WEIGHT,
		 COMMITMENT_CODE,
		 DELIVERY_DAY,
		 DELIVER_BY,
		 FORM_ID,
		 BASIC_FREIGHT_CHARGE,
		 SPECIAL_SERVICES_SURCHARGE,
		 SC.DELIVERY_CODE,
		 BARCODE_DISCOUNT,
		 DISCOUNT_AMOUNT,
		 CUSTOMS_VALUE,
		 CARRIAGE_VALUE,
		 DECLARED_VALUE,
		 EXPORT_LICENSE_NO,
		 EXPORT_LICENSE_EXP_DATE,
		 SC.FREIGHT_TERMS,
		 CUSTCARRIER_ACCOUNT_NO,
		 CONTAINER_NO,
		 PARENT_CONTAINER_NO,
		 ORDER_HEADER_KEY,
		 ORDER_RELEASE_KEY,
		 IS_RECEIVED,
		 LOAD_KEY,
		 PIPELINE_KEY,
		 STATUS,
		 DOCUMENT_TYPE,
		 COD_RETURN_TRACKING_NO,
		 CONTAINER_EPC,
		 CORRUGATION_ITEM_KEY,
		 ACTUAL_WEIGHT,
		 ACTUAL_WEIGHT_UOM,
		 PARENT_CONTAINER_KEY,
		 CONTAINER_GROUP,
		 PARENT_CONTAINER_GROUP,
		 IS_PACK_PROCESS_COMPLETE,
		 STATUS_DATE,
		 USED_DURING_PICK,
		 SYSTEM_SUGGESTED,
		 WAVE_KEY,
		 CONTAINS_STD_QTY,
		 TASK_TYPE,
		 SERVICE_ITEM_ID,
		 IS_HAZMAT
FROM  YFS_SHIPMENT_CONTAINER SC 


GO
