#!/bin/sh

# Licensed Materials - Property of IBM
# IBM Sterling Warehouse Management System
# (C) Copyright IBM Corp. 2005,2011 All Rights Reserved.  
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

#Set the COGNOS_HOME directory below to point to location of your Cognos installation
COGNOS_HOME=

#Set the ANALYTICS_HOME below to point to the location of your IBM Sterling Warehouse Management System: Business Intelligence installation
ANALYTICS_HOME=

export COGNOS_HOME ANALYTICS_HOME

if [ -z $COGNOS_HOME ]; then 
    echo "Please set the COGNOS_HOME correctly"; 
    exit 1;
else 
if [ -z $ANALYTICS_HOME ]; then 
    echo "Please set the ANALYTICS_HOME correctly"; 
    exit 1;
else
    echo "Replacing the Cognos 8.4.1 BI Server logo"
    mv $COGNOS_HOME/webcontent/skins/modern/branding/banner_cogsquare.gif $COGNOS_HOME/webcontent/skins/modern/branding/banner_cogsquare.gif.original
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/skins/modern/branding/banner_cogsquare.gif
      
    mv $COGNOS_HOME/webcontent/skins/corporate/branding/banner_cogsquare.gif $COGNOS_HOME/webcontent/skins/corporate/branding/banner_cogsquare.gif.original
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/skins/corporate/branding/banner_cogsquare.gif
      
    mv $COGNOS_HOME/webcontent/skins/contemporary/branding/banner_cogsquare.gif $COGNOS_HOME/webcontent/skins/contemporary/branding/banner_cogsquare.gif.original
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/skins/contemporary/branding/banner_cogsquare.gif
      
    mv $COGNOS_HOME/webcontent/skins/classic/branding/banner_cogsquare.gif $COGNOS_HOME/webcontent/skins/classic/branding/banner_cogsquare.gif.original
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/skins/classic/branding/banner_cogsquare.gif
      
    mv $COGNOS_HOME/webcontent/skins/presentation/branding/banner_cogsquare.gif $COGNOS_HOME/webcontent/skins/presentation/branding/banner_cogsquare.gif.original
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/skins/presentation/branding/banner_cogsquare.gif
      
    mv $COGNOS_HOME/webcontent/skins/windows/branding/banner_cogsquare.gif $COGNOS_HOME/webcontent/skins/windows/branding/banner_cogsquare.gif.original
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/skins/windows/branding/banner_cogsquare.gif
      
    echo "Copy the Report Header logo"
    cp $ANALYTICS_HOME/custom/IBM_Sterling_app_logo.gif $COGNOS_HOME/webcontent/samples/images/report_header_logo.gif
    
    exit 0;
   
if [ $? -eq 0 ]; then
    echo "Restart Cognos 8.4.1 BI Server."   
    exit 0;
else
    echo "**********************************************************************************************************"
    echo "ERROR: Copy/replacement of certain images has failed. Please set the COGNOS_HOME/ANALYTICS_HOME correctly."
    echo "**********************************************************************************************************"
    exit 1;
fi;
fi;
fi;
