#!/bin/sh
# Copyright  2005, Yantra Corporation. All rights reserved.

# This file disables the cube(s) in PPES, copies over the refreshed one and 
# enables the cube again. For parallel/different interval refresh of cubes, 
# make multiple copies of this file (See Analytics documentation). Close all 
# the open Analytics cubes before running this script

#Set the COGNOS_HOME directory below to point to location of your Cognos installation
if [ -z $COGNOS_HOME ]; then
    COGNOS_HOME=
fi;
export COGNOS_HOME

#Set the ANALYTICS_HOME below to point to the location of your Yantra Analytics installation
if [ -z $ANALYTICS_HOME ]; then
    ANALYTICS_HOME=
fi;
export ANALYTICS_HOME

if [ -z $COGNOS_HOME ]; then 
    echo "Please set the COGNOS_HOME correctly"; 
    exit 1;
else 
if [ -z $ANALYTICS_HOME ]; then 
    echo "Please set the ANALYTICS_HOME correctly"; 
    exit 1;
else
    echo "Disabling cube..."
    # For the cube names edit the disable.txt (or copies) file 
    $COGNOS_HOME/cer3/bin/ppadmtool < disable.txt

    echo "Copying cube..."
    # Modify the paths below according to your installation
    cp "$ANALYTICS_HOME/Staging/Publish/Power Cubes/Order_Profile.mdc"  "$ANALYTICS_HOME/Power cubes"
    # Or
    # cp "$ANALYTICS_HOME/Staging/Publish/Power Cubes/*.mdc"  "$ANALYTICS_HOME/Power cubes"

    echo "Enabling cube..."
    # For the cube names edit the enable.txt (or copies) file 
    $COGNOS_HOME/cer3/bin/ppadmtool < enable.txt
if [ $? -eq 0 ]; then
    exit 0;
else
    echo "**************************************************************"
    echo "ERROR: ppadmtool/copy commands above did not run successfully."
    echo "**************************************************************"
    exit 1;
fi;
fi;
fi;