#!/bin/sh
# Copyright  2005, Yantra Corporation. All rights reserved.

# For parallel/different interval refresh of cubes, make multiple copies of 
# this file (See Analytics documentation).
# To obtain a .pyi file, 'Save As...' the .mdl file.
# Close all the open Analytics cubes before running this script.

#Set the COGNOS_HOME directory below to point to location of your Cognos installation
if [ -z $COGNOS_HOME ]; then
    COGNOS_HOME=
fi;
export COGNOS_HOME

#Set the ANALYTICS_HOME below to point to the location of your Yantra Analytics installation
if [ -z $ANALYTICS_HOME ]; then
    ANALYTICS_HOME=
fi;
export ANALYTICS_HOME

if [ -z $COGNOS_HOME ]; then 
    echo "Please set the COGNOS_HOME correctly"; 
    exit 1;
else 
if [ -z $ANALYTICS_HOME ]; then 
    echo "Please set the ANALYTICS_HOME correctly"; 
    exit 1;
else
    $COGNOS_HOME/cer3/bin/trnsfrmr -n "$ANALYTICS_HOME/Transformer models/inventory valuation.pyi"
    $COGNOS_HOME/cer3/bin/trnsfrmr -n "$ANALYTICS_HOME/Transformer models/exception profile.pyi"
    $COGNOS_HOME/cer3/bin/trnsfrmr -n "$ANALYTICS_HOME/Transformer models/order profile.pyi"
    $COGNOS_HOME/cer3/bin/trnsfrmr -n "$ANALYTICS_HOME/Transformer models/order line profile.pyi"
    $COGNOS_HOME/cer3/bin/trnsfrmr -n "$ANALYTICS_HOME/Transformer models/ship node profile.pyi"

    # If you specify the -s option, the model stores the categories (can result in a large model file).
    # $COGNOS_HOME/cer3/bin/trnsfrmr -n -s "$ANALYTICS_HOME/Transformer models/Order Profile.pyi"

    # Modify the copy cube.bat file to copy the same list of cubes that you are 
    # refreshing.
    # The Transformer log file is created in the logs directory set in the 
    # Directories option in the Transformer.
    ./$ANALYTICS_HOME/Scripts/copy_cube.sh
if [ $? -eq 0 ]; then
    exit 0;
else
    echo "*****************************************"
    echo "ERROR: copy_cube.sh did not run properly."
    echo "*****************************************"
    exit 1;
fi;
fi;
fi;